Skip to main content
PUT
/
customers
/
{id}
cURL
curl --request PUT \
  --url https://api.example.com/customers/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "id": "<string>",
  "taskType": "collections",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "[email protected]",
  "birthday": "1985-06-15",
  "ssnLastFour": "1234",
  "timezone": "<string>",
  "phoneNumber": "<string>",
  "streetAddress1": "123 Main St",
  "streetAddress2": "Apt 4B",
  "city": "San Francisco",
  "state": "CA",
  "zipCode": "94102",
  "doNotCall": true,
  "isTest": true,
  "test": false,
  "externalMetadata": {
    "home_phone": "+14155555555",
    "cell_phone": "+14155556666",
    "employer_name": "Acme Corporation",
    "employer_address": "456 Business Ave",
    "employer_city": "San Francisco",
    "employer_state": "CA",
    "employer_zip": "94103",
    "employer_department": "Sales",
    "employer_phone": "+14155557777",
    "employer_direct_line": "+14155558888",
    "pay_frequency": "biweekly",
    "pay_day": "Friday"
  },
  "loanIds": [
    123,
    456,
    789
  ],
  "sync": false,
  "loanId": "<string>"
}
'
{
  "firstName": "<string>",
  "lastName": "<string>",
  "id": "<string>",
  "email": "[email protected]",
  "birthday": "2023-12-25",
  "ssnLastFour": "<string>",
  "timezone": "<string>",
  "phoneNumber": "<string>",
  "streetAddress1": "<string>",
  "streetAddress2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zipCode": "<string>",
  "doNotCall": true,
  "isTest": true,
  "taskType": "<string>",
  "externalMetadata": {}
}

Name Fields

You can update the customer’s name by providing either or both fields:
  • firstName - Update customer’s first name
  • lastName - Update customer’s last name
Both fields are optional, allowing you to update them independently. The API response will return both fields separately as they are stored in the database.

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

ID of customer to update

Body

application/json

Customer to update

id
string
required

Unique identifier for the customer. This is your customer reference and should match your internal system's ID.

taskType
string
required

Type of tasks to create for the customer's automated call schedule. Valid values depend on company configuration. This field is required.

Example:

"collections"

firstName
string

The first name of the customer

lastName
string

The last name of the customer

email
string<email>

Customer email address

birthday
string<date>

Customer birthday in YYYY-MM-DD format

Example:

"1985-06-15"

ssnLastFour
string

Last 4 digits of SSN

Example:

"1234"

timezone
string

Timezone of the customer (IANA timezone name, e.g., 'America/New_York', 'America/Los_Angeles')

phoneNumber
string

Phone number of the customer

streetAddress1
string

Street address line 1

Example:

"123 Main St"

streetAddress2
string

Street address line 2 (optional)

Example:

"Apt 4B"

city
string

City

Example:

"San Francisco"

state
string

State code

Example:

"CA"

zipCode
string

ZIP/postal code

Example:

"94102"

doNotCall
boolean

Do not call the customer

isTest
boolean

Indicates if this is a test customer

test
boolean
default:false

Mark customer as test customer

externalMetadata
object

Additional custom metadata about the customer (e.g. employer information, pay schedule, additional contact details)

loanIds
integer[]

Array of loan IDs to import. If provided, only these loans are imported. If omitted, all loans are imported.

Example:
[123, 456, 789]
sync
boolean
default:false

When true, auto-fetch missing customer data from your integrated lending system. Defaults to false.

loanId
string

Loan reference ID for enrichment. Distinct from loanIds which filters loan imports.

Response

Customer response

firstName
string
required

The first name of the customer

lastName
string
required

The last name of the customer

id
string

Unique identifier for the customer. This is your customer reference and should match your internal system's ID.

email
string<email>

Customer email address

birthday
string<date>

Customer birthday in YYYY-MM-DD format

ssnLastFour
string

Last 4 digits of SSN

timezone
string

Timezone of the customer (IANA timezone name, e.g., 'America/New_York', 'America/Los_Angeles')

phoneNumber
string

Phone number of the customer

streetAddress1
string

Street address line 1

streetAddress2
string

Street address line 2 (optional)

city
string

City name

state
string

State code (e.g., NY, CA)

zipCode
string

ZIP/postal code

doNotCall
boolean

Do not call the customer

isTest
boolean

Indicates if this is a test customer

taskType
string

Type of tasks created for the customer's automated call schedule

externalMetadata
object

Additional custom metadata about the customer